XmOptionLabelGadget(library call)

NAME
XmOptionLabelGadget — A RowColumn function that obtains the widget ID for the LabelGadget in an OptionMenu

SYNOPSIS

#include <Xm/RowColumn.h>
Widget XmOptionLabelGadget(
Widget option_menu);

DESCRIPTION

XmOptionLabelGadget provides the application with the means for obtaining the widget ID for the internally created LabelGadget. Once the application has obtained the widget ID, it can adjust the visuals for the LabelGadget, if desired.

option_menu
    Specifies the OptionMenu widget ID

When an application creates an instance of the OptionMenu widget, the widget creates two internal gadgets. One is a LabelGadget that is used to display RowColumn's XmNlabelString resource. The other is a CascadeButtonGadget that displays the current selection and provides the means for posting the OptionMenu's submenu.

The user can specify resources in a resource file for the automatically created widgets and gadgets of an OptionMenu. The following list identifies the names of these widgets (or gadgets) and the associated OptionMenu areas.

Option Menu Label Gadget
    OptionLabel

Option Menu Cascade Button
    OptionButton

For a complete definition of RowColumn and its associated resources, see XmRowColumn(3).

RETURN

Returns the widget ID for the internal label.

RELATED

XmCreateOptionMenu(3), XmLabelGadget(3), XmOptionButtonGadget(3), and XmRowColumn(3).